--- base/config.c.orig	2007-10-22 23:39:28.000000000 +1000
+++ base/config.c	2007-11-01 10:19:08.000000000 +1000
@@ -179,6 +179,7 @@
 extern int      use_embedded_perl_implicitly;
 
 extern int      date_format;
+extern char     *use_timezone;
 
 extern contact		*contact_list;
 extern contactgroup	*contactgroup_list;
@@ -1176,6 +1177,11 @@
 				date_format=DATE_FORMAT_US;
 		        }
 
+		else if(!strcmp(variable,"use_timezone")){
+			my_free((void **)&use_timezone);
+			use_timezone=(char *)strdup(value);
+			}
+
 		else if(!strcmp(variable,"p1_file")){
 
 			if(strlen(value)>MAX_FILENAME_LENGTH-1){
@@ -1320,6 +1326,11 @@
 		}
 
 	/* adjust values */
+	if(use_timezone!=NULL)
+		setenv("TZ",use_timezone,1);
+		
+	tzset();
+
 	if(command_check_interval_is_seconds==FALSE && command_check_interval!=-1)
 		command_check_interval*=interval_length;
 
